Package org.gradle.api.artifacts

## Interface UnresolvedDependency

-     public interface UnresolvedDependency

  Unsuccessfully resolved dependency.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Throwable` | `getProblem()` | the exception that is the cause of unresolved state
    `ModuleVersionSelector` | `getSelector()` | The module selector of the dependency.

- - ### Method Detail

    - #### getSelector

          ModuleVersionSelector getSelector()

      The module selector of the dependency.
      Since:
        1.1-rc-1

    - #### getProblem

          java.lang.Throwable getProblem()

      the exception that is the cause of unresolved state